Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class VersionDescriptionAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.VersionDescriptionAdmin

    public class VersionDescriptionAdmin

extends java.lang.Object

The `VersionDescriptionAdmin.java` class - collection of VersionDescription admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`
`protected java.util.Hashtable` | `m_VersionDescriptionTable`

Constructor Summary
`VersionDescriptionAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `deleteVersionDescription(LibrarySession sess, ParameterTable params)` Section variant of delete VersionDescription
`void` | `deleteVersionDescription(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete VersionDescription
`void` | `deleteVersionDescription(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete VersionDescription
`void` | `freeVersionDescription(LibrarySession sess, ParameterTable params)` Section variant of Free VersionDescription
`void` | `freeVersionDescription(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free VersionDescription
`void` | `identifyVersionDescription(LibrarySession sess, ParameterTable params)` Section variant of Identify VersionDescription
`void` | `identifyVersionDescription(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify VersionDescription
`VersionDescription` | `lookupVersionDescription(java.lang.String idname)`
`void` | `modifyVersionDescription(LibrarySession sess, ParameterTable params)` Section variant of Modify VersionDescription
`void` | `modifyVersionDescription(LibrarySession sess, java.lang.String idname, VersionDescriptionDefinition def)` internal variant of Modify VersionDescription
`void` | `showVersionDescription(LibrarySession sess, ParameterTable params)` Section variant of showVersionDescription
`void` | `showVersionDescription(LibrarySession sess, java.lang.String docname)` Inline/internal variant of showVersionDescription
`void` | `showVersionDescription(LibrarySession sess, VersionDescription fam)`
`void` | `undeleteVersionDescription(LibrarySession sess, ParameterTable params)` Section variant of undelete VersionDescription
`void` | `undeleteVersionDescription(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete VersionDescription
`void` | `undeleteVersionDescription(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete VersionDescription
`void` | `unidentifyVersionDescription(LibrarySession sess, ParameterTable params)` Section variant of Unidentify VersionDescription

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_VersionDescriptionTable

    protected java.util.Hashtable m_VersionDescriptionTable

Constructor Detail

### VersionDescriptionAdmin

    public VersionDescriptionAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### modifyVersionDescription

    public void modifyVersionDescription(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Section variant of Modify VersionDescription

  Throws:
    `IfsException`

### modifyVersionDescription

    public void modifyVersionDescription(LibrarySession sess,
                                         java.lang.String idname,
                                         VersionDescriptionDefinition def)
                                  throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  internal variant of Modify VersionDescription

  Throws:
    `IfsException`

### freeVersionDescription

    public void freeVersionDescription(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Section variant of Free VersionDescription

  Throws:
    `IfsException`

### freeVersionDescription

    public void freeVersionDescription(LibrarySession sess,
                                       java.lang.String idname)
                                throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Inline/internal variant of Free VersionDescription

  Throws:
    `IfsException`

### deleteVersionDescription

    public void deleteVersionDescription(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Section variant of delete VersionDescription

  Throws:
    `IfsException`

### deleteVersionDescription

    public void deleteVersionDescription(LibrarySession sess,
                                         java.lang.String idname)
                                  throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Inline/internal variant of Delete VersionDescription

  Throws:
    `IfsException`

### deleteVersionDescription

    public void deleteVersionDescription(LibrarySession sess,
                                         java.lang.String idname,
                                         LibraryObjectDefinition def)
                                  throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Inline/internal variant of Delete VersionDescription

  Throws:
    `IfsException`

### undeleteVersionDescription

    public void undeleteVersionDescription(LibrarySession sess,
                                           ParameterTable params)
                                    throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Section variant of undelete VersionDescription

  Throws:
    `IfsException`

### undeleteVersionDescription

    public void undeleteVersionDescription(LibrarySession sess,
                                           java.lang.String idname)
                                    throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Inline/internal variant of Undelete VersionDescription

  Throws:
    `IfsException`

### undeleteVersionDescription

    public void undeleteVersionDescription(LibrarySession sess,
                                           java.lang.String idname,
                                           LibraryObjectDefinition def)
                                    throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Inline/internal variant of Undelete VersionDescription

  Throws:
    `IfsException`

### identifyVersionDescription

    public void identifyVersionDescription(LibrarySession sess,
                                           ParameterTable params)
                                    throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Section variant of Identify VersionDescription

  Throws:
    `IfsException`

### identifyVersionDescription

    public void identifyVersionDescription(LibrarySession sess,
                                           java.lang.String idname,
                                           java.lang.Long id,
                                           java.lang.String name,
                                           java.lang.String valueDefaultName,
                                           java.lang.String path)
                                    throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Inline/internal variant of Identify VersionDescription

  Throws:
    `IfsException`

### unidentifyVersionDescription

    public void unidentifyVersionDescription(LibrarySession sess,
                                             ParameterTable params)
                                      throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Section variant of Unidentify VersionDescription

  Throws:
    `IfsException`

### showVersionDescription

    public void showVersionDescription(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Section variant of showVersionDescription

  Throws:
    `IfsException`

### showVersionDescription

    public void showVersionDescription(LibrarySession sess,
                                       java.lang.String docname)
                                throws IfsException

  Description copied from class: `VersionDescriptionAdmin`
  Inline/internal variant of showVersionDescription

  Throws:
    `IfsException`

### lookupVersionDescription

    public VersionDescription lookupVersionDescription(java.lang.String idname)
                                                throws IfsException

  Throws:
    `IfsException`

### showVersionDescription

    public void showVersionDescription(LibrarySession sess,
                                       VersionDescription fam)
                                throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD